Bug 34382 - in.telnetd gets errno 14
Summary: in.telnetd gets errno 14
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL: http://www.remuplk.com
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-02 21:15 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 08:16:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-02 21:15:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


What machine reboots. Tried to telnet into box but was denied.. A closer 
look when looking at the syslog showed in.telnetd errno = 14 bad address 
no. This problem also affects in.ftpd

Reproducible: Always
Steps to Reproduce:
1. reboot machine
2. failed attempt to log into machine from another
3. go into linuxconf and change primary ip address to something and then 
back to correct ip..
4. exit linuxconf saving data.. 
5. telnet can then be used normally..	

Actual Results:  telnet was denied

Expected Results:  Telnet should have been granted

Comment 1 Preston Brown 2001-04-03 19:35:05 UTC
your box has a firewall set up on it.  You cannot access those services with the
level of firewall you currently have configured.

Comment 2 Need Real Name 2001-04-03 19:40:24 UTC
But why when I go and just change the ip address to another and then back again 
does it work properly.. It doesnt do it on all reboot.. just some of the time.

Comment 3 Harald Hoyer 2001-08-01 06:48:12 UTC
Could you please retry with:
ftp://people.redhat.com/harald/telnet-0.17-16.src.rpm
ftp://people.redhat.com/harald/telnet-0.17-16.i386.rpm
ftp://people.redhat.com/harald/telnet-server-0.17-16.i386.rpm
Bonus: security fixes to the recently discovered vulnerabilities




Note You need to log in before you can comment on or make changes to this bug.